openSUSE: 2021:2292-1 important: dbus-1 | LinuxSecurity.com

Advisories


   openSUSE Security Update: Security update for dbus-1
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:2292-1
Rating:             important
References:         #1187105 
Cross-References:   CVE-2020-35512
CVSS scores:
                    CVE-2020-35512 (NVD) : 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
                    CVE-2020-35512 (SUSE): 7 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

Affected Products:
                    openSUSE Leap 15.3
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for dbus-1 fixes the following issues:

   - CVE-2020-35512: Fixed a use-after-free or potential undefined behaviour
     caused by shared UID's (bsc#1187105)


Special Instructions and Notes:

   Please reboot the system after installing this update.

Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2021-2292=1



Package List:

   - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):

      dbus-1-1.12.2-8.6.1
      dbus-1-debuginfo-1.12.2-8.6.1
      dbus-1-debugsource-1.12.2-8.6.1
      dbus-1-devel-1.12.2-8.6.1
      dbus-1-x11-1.12.2-8.6.1
      dbus-1-x11-debuginfo-1.12.2-8.6.1
      dbus-1-x11-debugsource-1.12.2-8.6.1
      libdbus-1-3-1.12.2-8.6.1
      libdbus-1-3-debuginfo-1.12.2-8.6.1

   - openSUSE Leap 15.3 (x86_64):

      dbus-1-32bit-debuginfo-1.12.2-8.6.1
      dbus-1-devel-32bit-1.12.2-8.6.1
      libdbus-1-3-32bit-1.12.2-8.6.1
      libdbus-1-3-32bit-debuginfo-1.12.2-8.6.1

   - openSUSE Leap 15.3 (noarch):

      dbus-1-devel-doc-1.12.2-8.6.1


References:

   https://www.suse.com/security/cve/CVE-2020-35512.html
   https://bugzilla.suse.com/1187105

openSUSE: 2021:2292-1 important: dbus-1

July 12, 2021
An update that fixes one vulnerability is now available

Description

This update for dbus-1 fixes the following issues: - CVE-2020-35512: Fixed a use-after-free or potential undefined behaviour caused by shared UID's (bsc#1187105) Special Instructions and Notes: Please reboot the system after installing this update.

Patch

To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap 15.3: zypper in -t patch openSUSE-SLE-15.3-2021-2292=1

Package List

- openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64): dbus-1-1.12.2-8.6.1 dbus-1-debuginfo-1.12.2-8.6.1 dbus-1-debugsource-1.12.2-8.6.1 dbus-1-devel-1.12.2-8.6.1 dbus-1-x11-1.12.2-8.6.1 dbus-1-x11-debuginfo-1.12.2-8.6.1 dbus-1-x11-debugsource-1.12.2-8.6.1 libdbus-1-3-1.12.2-8.6.1 libdbus-1-3-debuginfo-1.12.2-8.6.1 - openSUSE Leap 15.3 (x86_64): dbus-1-32bit-debuginfo-1.12.2-8.6.1 dbus-1-devel-32bit-1.12.2-8.6.1 libdbus-1-3-32bit-1.12.2-8.6.1 libdbus-1-3-32bit-debuginfo-1.12.2-8.6.1 - openSUSE Leap 15.3 (noarch): dbus-1-devel-doc-1.12.2-8.6.1

References

https://www.suse.com/security/cve/CVE-2020-35512.html https://bugzilla.suse.com/1187105

Severity
Announcement ID: openSUSE-SU-2021:2292-1
Rating: important
Affected Products: openSUSE Leap 15.3 .

Related News

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.